#!/usr/bin/env bash

[[ -n "${FORCE_RELEASE}" ]] && exit 0

set -e

[ "${FLOCKER}" != "$0" ] && exec env FLOCKER="$0" flock -en .stack-work.lock "$0" "$@" || :

move-back() {
    mv -vT .stack-work .stack-work-test
    [[ -d .stack-work-build ]] && mv -vT .stack-work-build .stack-work
}

if [[ -d .stack-work-test ]]; then
    [[ -d .stack-work ]] && mv -vT .stack-work .stack-work-build
    mv -vT .stack-work-test .stack-work
    trap move-back EXIT
fi

stack build --test --coverage --fast --flag uniworx:dev --flag uniworx:library-only ${@}
